!******************************************************************************\
!*       This is a part of the Compaq Visual Fortran Source Code Samples.
!******************************************************************************/
subroutine myinit ()
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_myinit@0' :: myinit
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS : 'myinit' :: myinit
!DEC$ ENDIF
use dfopngl
use dfwin
    call fglShadeModel (INT4(GL_FLAT))
end subroutine




!/*  Clear the screen.  Set the current color to white.
! *  Draw the wire frame cube.
! */
subroutine display ()
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_display@0' :: display
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS : 'display' :: display
!DEC$ ENDIF
use dfopngl
use dfwin
    call fglColor3f (1.0, 0.0, 0.0)
    call fglLoadIdentity()  !/*  clear the matrix    */
    call fglTranslatef (0.0, 0.0, -5.0)  !/*  viewing transformation  */
    call fglScalef (1.0, 2.0, 1.0)   !/*  modeling transformation */
    call fglBegin(GL_POINTS)
        call fauxWireCube(DBLE(1.0))   !/*  draw the cube   */
    call fglEnd()
    !call fglFlush()
end subroutine
